### Hierarchy

- ConsoleConstructor

## Index

### Constructors

- constructor

### Properties

- prototype

## Constructors

### constructor

- new ConsoleConstructor(stdout: WritableStream, stderr?: WritableStream, ignoreErrors?: undefined | false | true): Console
- new ConsoleConstructor(options: ConsoleConstructorOptions): Console

- - Defined in node_modules/@types/node/globals.d.ts:491

  #### Parameters

  - ##### stdout: WritableStream

  - ##### Optional stderr: WritableStream

  - ##### Optional ignoreErrors: undefined | false | true

  #### Returns Console

- - Defined in node_modules/@types/node/globals.d.ts:492

  #### Parameters

  - ##### options: ConsoleConstructorOptions

  #### Returns Console

## Properties

### prototype

prototype: Console

- Defined in node_modules/@types/node/globals.d.ts:491

Generated using TypeDoc